Skip to content

Vehicle Summary​

POST
/reports/vehicle-summary

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Request Body​

application/x-www-form-urlencoded
object

The device id to get the data for

Format""

The date range to get the data for, in epoch milliseconds, [start, end]

Format"JSON"

Optional parameters, as JSON object, use the APP and developer console to see the options

Format"JSON"

Request example

Responses​

Request was successful

application/json
JSON
{
  
"numTrips": 0,
  
"totalDist": 0,
  
"totalTime": 0,
  
"avgDist": 0,
  
"avgTime": 0,
  
"idleTime": {
  
  
"total": 0,
  
  
"inWork": 0,
  
  
"inMaintenance": 0
  
},
  
"distances": {
  
  
"total": 0,
  
  
"inWork": 0,
  
  
"inMaintenance": 0
  
},
  
"ignitionTime": 0,
  
"movingTime": {
  
  
"total": 0,
  
  
"inWork": 0,
  
  
"inMaintenance": 0
  
},
  
"workTime": 0,
  
"maintenanceTime": 0,
  
"offTimes": {
  
  
"total": 0,
  
  
"inWork": 0,
  
  
"inMaintenance": 0
  
}
}
Try this endpoint

Playground​

Authorization
Body